Bug 120321 - [hang] System hangs when transferring data to WD MyBook USB HDD
Summary: [hang] System hangs when transferring data to WD MyBook USB HDD
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 6.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-06 15:00 UTC by toomas.aas
Modified: 2019-10-01 15:52 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description toomas.aas 2008-02-06 15:00:02 UTC
I have two identical 500 GB WD MyBook HDDs 
da0: <WD 5000AAKB Externa l108> Fixed Direct Access SCSI-0 device

These disks are used as backup media for daily backups using Amanda. There were no problems with FreeBSD 6.2 (I was following RELENG_6_2), but immediately after upgrading to RELENG_6_3 trouble started.

Sometimes when Amanda is writing its backup data to the MyBook, kernel prints out messages like this:

Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=65536, length=2048)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=344064, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=360448, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=376832, length=2048)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=134949781504, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=135183663104, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=135417544704, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=135651426304, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=135885307904, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=136119189504, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=136353071104, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=136586952704, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=136820834304, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137054715904, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137288597504, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137438953472, length=131072)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439084544, length=131072)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439215616, length=131072)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439346688, length=131072)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439477760, length=131072)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=338660655104, length=16384)]error = 5
Feb  5 22:04:49 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137438822400, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=65536, length=2048)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=344064, length=16384)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=360448, length=16384)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=376832, length=2048)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137288597504, length=16384)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439739904, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439870976, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440002048, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440133120, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440264192, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440395264, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440526336, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137440657408, length=131072)]error = 5
Feb  5 22:10:15 mail kernel: g_vfs_done():da0s1a[WRITE(offset=137439608832, length=131072)]error = 5

When this happens, the system becomes unresponsive and remains this way for several minutes. During that time, the machine can be pinged but Postfix, Apache and OpenSSH do not accept new connections and console commands also hang. During one backup session this may happen several times and finally it seems that not only access to the MyBook is affected but all disk access operations (for example, I edited /etc/crontab with vi and after :w had to wait several minutes until the file was saved). 

During the last backup session which was especially troublesome I finally decided to reboot the machine, but the 'reboot' command also hung and no further interaction with the machine was possible (except ping). This was done from a remote location over ssh. Several hours later someone arrived at the site where the server is and disconnected the USB drive. After that the reboot proceeded. During these several hours, more g_vfs_done() error=5 messages were logged.

This problem does not happen during every backup session, but it has happened during 4 backup sessions of the total 8 that have been performed after upgrading to 6.3, and it has happened with both disks. One of the disks has been verified with WD Data LifeGuard and found to be OK. 

dmesg:
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.3-RELEASE #3: Wed Jan 23 07:33:34 EET 2008
    toomas@mail.tarkvarastuudio.ee:/usr/obj/usr/src/sys/TVS
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) D CPU 3.40GHz (3398.31-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0xf64  Stepping = 4
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xe49d<SSE3,RSVD2,MON,DS_CPL,EST,CNXT-ID,CX16,xTPR,PDCM>
  AMD Features=0x20000800<SYSCALL,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 2
real memory  = 2145849344 (2046 MB)
avail memory = 2064629760 (1968 MB)
ACPI APIC Table: <INTEL  04DT044 >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 5
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <INTEL 04DT044> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
acpi_button0: <Sleep Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 28.4 on pci0
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 28.5 on pci0
pci3: <ACPI PCI bus> on pcib3
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2000-0x201f mem 0x88100000-0x8811ffff irq 17 at device 0.0 on pci3
em0: Ethernet address: 00:16:76:cc:3c:4e
uhci0: <UHCI (generic) USB controller> port 0x3080-0x309f irq 23 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0x3060-0x307f irq 19 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0x3040-0x305f irq 18 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
uhci3: <UHCI (generic) USB controller> port 0x3020-0x303f irq 16 at device 29.3 on pci0
uhci3: [GIANT-LOCKED]
usb3: <UHCI (generic) USB controller> on uhci3
usb3: USB revision 1.0
uhub3: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 82801GB/R (ICH7) USB 2.0 controller> mem 0x88200400-0x882007ff irq 23 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 82801GB/R (ICH7) USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub4: 8 ports with 8 removable, self powered
pcib4: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci4: <ACPI PCI bus> on pcib4
fxp0: <Intel 82550 Pro/100 Ethernet> port 0x1140-0x117f mem 0x88070000-0x88070fff,0x88040000-0x8805ffff irq 22 at device 1.0 on pci4
miibus0: <MII bus> on fxp0
inphy0: <i82555 10/100 media interface> on miibus0
inphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
fxp0: Ethernet address: 00:02:b3:89:2f:ad
pci4: <display, VGA> at device 4.0 (no driver attached)
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x1100-0x113f mem 0x88020000-0x8803ffff,0x88000000-0x8801ffff irq 17 at device 5.0 on pci4
em1: Ethernet address: 00:16:76:cc:3c:4f
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH7 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x30b0-0x30bf irq 18 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
atapci1: <Intel ICH7 SATA300 controller> port 0x30c8-0x30cf,0x30e4-0x30e7,0x30c0-0x30c7,0x30e0-0x30e3,0x30a0-0x30af mem 0x88200000-0x882003ff irq 19 at device 31.2 on pci0
ata2: <ATA channel 0> on atapci1
ata3: <ATA channel 1> on atapci1
ichsmb0: <Intel 82801GB (ICH7) SMBus controller> port 0x3000-0x301f irq 19 at device 31.3 on pci0
ichsmb0: [GIANT-LOCKED]
smbus0: <System Management Bus> on ichsmb0
smb0: <SMBus generic I/O> on smbus0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcafff,0xcb000-0xcc7ff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ugen0: American Power Conversion Back-UPS RS 1000 FW:7.g9 .I USB FW:g9, rev 1.10/1.06, addr 2
Timecounters tick every 1.000 msec
ad0: 190782MB <WDC WD2000JB-55GVA0 08.02D08> at ata0-master UDMA100
ad4: 476940MB <Seagate ST3500630AS 3.AAE> at ata2-master SATA150
ad6: 476940MB <Seagate ST3500630AS 3.AAE> at ata3-master SATA150
SMP: AP CPU #1 Launched!
GEOM_MIRROR: Device gm0 created (id=1300309719).
GEOM_MIRROR: Device gm0: provider ad4 detected.
GEOM_MIRROR: Device gm0: provider ad6 detected.
GEOM_MIRROR: Device gm0: provider ad6 activated.
GEOM_MIRROR: Device gm0: provider ad4 activated.
GEOM_MIRROR: Device gm0: provider mirror/gm0 launched.
Trying to mount root from ufs:/dev/mirror/gm0s1a
fxp0: Microcode loaded, int_delay: 1000 usec  bundle_max: 6
fxp0: Microcode loaded, int_delay: 1000 usec  bundle_max: 6
em1: link state changed to UP

How-To-Repeat: Perform Amanda backup using virtual tapes on WD MyBook. Or possibly, perform other operations that write several gigabytes of data to the MyBook
Comment 1 toomas.aas 2008-03-03 22:17:33 UTC
I have discarded the MyBooks and am now using Canyon CNR-HDD35SA2 external 
disk enclosures with Seagate ST3500320AS HDDs. They have been working fine 
for two weeks. So it looks like WD MyBook should be avoided by FreeBSD users.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:07 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 larafercue@gmail.com 2019-10-01 13:43:15 UTC
The same error is happening in FreeBSD 12.0-RELEASE for a SATA device.

The main issue here is that g_vfs_done reports the error but nothing else is done about it.

A good solution could be to end transactions to the device when an error is reported (after some attempts).
Comment 4 larafercue@gmail.com 2019-10-01 14:14:21 UTC
I activated the kern.geom.debugflags and I found the following messages on dmesg after ejecting the disk.

g_orphan_provider(0xfffff80122cac900(ada1), 6)
g_orphan_register(ada1)
g_part_orphan(ada1)g_vfs_done():
ada1p5.eli[READ(offset=2232576792112496640, length=32768)]g_orphan_provider(0xfffff80117547300(ada1p1), 6)error = 5

g_orphan_provider(0xfffff800251fee00(ada1p2), 6)
g_orphan_provider(0xfffff80122a59c00(ada1p3), 6)
g_orphan_provider(0xfffff801173eac00(ada1p4), 6)
g_orphan_provider(0xfffff80122c9ec00(ada1p5), 6)
g_orphan_provider(0xfffff801174fb300(ada1p6), 6)
g_wither_geom(0xfffff80122cac800(ada1))
g_dev_orphan(0xfffff8002876f780(ada1))
g_orphan_register(ada1p1)g_dev_callback(0xfffff8002876f780(ada1))

g_post_event_x(0xffffffff80ae1510, 0xfffff8002876f780, 2, 0)
g_slice_orphan(0xfffff8000369ed80/ada1p1)
g_wither_geom(0xfffff801174fc900(ada1p1))
g_orphan_provider(0xfffff801174fca00(gpt/bloader), 6)
g_dev_orphan(0xfffff801177f8c80(ada1p1))
g_orphan_register(ada1p2)g_dev_callback(0xfffff801177f8c80(ada1p1))

g_slice_orphan(0xfffff80025d68e80/ada1p2)g_post_event_x(0xffffffff80ae1510, 0xfffff801177f8c80, 2, 0)
g_wither_geom(0xfffff80117506400(ada1p2))
g_orphan_provider(0xfffff8011715d600(ufs/DOMBoot), 6)
g_slice_orphan(0xfffff80117824e00/ada1p2)
g_wither_geom(0xfffff80122cadd00(ada1p2))g_vfs_done():
g_orphan_provider(0xfffff80122cade00(ufsid/5c137f0f2b744507), 6)ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_slice_orphan(0xfffff80122730680/ada1p2)
g_wither_geom(0xfffff80122cadb00(ada1p2))
g_orphan_provider(0xfffff80122cada00(gpt/DOMBoot), 6)
g_dev_orphan(0xfffff801177f8c00(ada1p2))error = 5

g_orphan_register(ada1p3)
g_vfs_done():g_slice_orphan(0xfffff80033dd0300/ada1p3)ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_wither_geom(0xfffff80117b5c800(ada1p3))error = 5

g_orphan_provider(0xfffff80122cb7e00(gpt/NVRAM), 6)g_vfs_done():
g_slice_orphan(0xfffff8002507d180/ada1p3)
g_wither_geom(0xfffff80033f96400(ada1p3))
g_orphan_provider(0xfffff80033f96600(label/NVRAM), 6)
g_dev_orphan(0xfffff80122cdb880(ada1p3))
g_orphan_register(ada1p4)
g_slice_orphan(0xfffff80025d6a800/ada1p4)
g_wither_geom(0xfffff80122cb7600(ada1p4))
g_orphan_provider(0xfffff80122cb7500(ufs/DOMUPDATE), 6)
g_slice_orphan(0xfffff80033dcf580/ada1p4)
g_wither_geom(0xfffff80122cb7900(ada1p4))
g_orphan_provider(0xfffff80122cb7800(ufsid/5c137f135e2a00d9), 6)ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_slice_orphan(0xfffff80122cdc180/ada1p4)
g_wither_geom(0xfffff80122cb7c00(ada1p4))
g_orphan_provider(0xfffff80122cb7b00(gpt/DOMUPDATE), 6)
g_dev_orphan(0xfffff80122734600(ada1p4))
g_orphan_register(ada1p5)error = 5
g_vfs_done():
g_dev_callback(0xfffff801177f8c00(ada1p2))

g_orphan_provider(0xfffff80122942b00(ada1p5.eli), 6)g_post_event_x(0xffffffff80ae1510, 0xfffff801177f8c00, 2, 0)
g_dev_orphan(0xfffff8002507d200(ada1p5))
g_dev_callback(0xfffff80122cdb880(ada1p3))
g_orphan_register(ada1p6)
g_orphan_provider(0xfffff80122a7b900(ada1p6.eli), 6)
g_dev_orphan(0xfffff8002507d380(ada1p6))ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_post_event_x(0xffffffff80ae1510, 0xfffff80122cdb880, 2, 0)
g_orphan_register(gpt/bloader)
g_dev_orphan(0xfffff80122735000(gpt/bloader))
g_dev_callback(0xfffff80122734600(ada1p4))
g_orphan_register(ufs/DOMBoot)
g_post_event_x(0xffffffff80ae1510, 0xfffff80122734600, 2, 0)
g_dev_callback(0xfffff8002507d200(ada1p5))

g_post_event_x(0xffffffff80ae1510, 0xfffff8002507d200, 2, 0)
g_dev_orphan(0xfffff8002507d000(ufs/DOMBoot))g_dev_callback(0xfffff8002507d380(ada1p6))
g_orphan_register(ufsid/5c137f0f2b744507)error = 5

g_vfs_done():g_dev_orphan(0xfffff80122985c00(ufsid/5c137f0f2b744507))ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
error = 6
g_orphan_register(gpt/DOMBoot)
g_dev_orphan(0xfffff80122730300(gpt/DOMBoot))
g_orphan_register(gpt/NVRAM)g_vfs_done():
ada1p5.eli[READ(offset=2232576792112496640, length=32768)]g_dev_orphan(0xfffff80122ab8500(gpt/NVRAM))error = 6

g_post_event_x(0xffffffff80ae1510, 0xfffff8002507d380, 2, 0)g_vfs_done():
g_orphan_register(label/NVRAM)
g_dev_orphan(0xfffff80025140400(label/NVRAM))ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_dev_callback(0xfffff80122735000(gpt/bloader))
g_post_event_x(0xffffffff80ae1510, 0xfffff80122735000, 2, 0)
g_dev_callback(0xfffff8002507d000(ufs/DOMBoot))
g_post_event_x(0xffffffff80ae1510, 0xfffff8002507d000, 2, 0)
g_dev_callback(0xfffff80122985c00(ufsid/5c137f0f2b744507))
g_post_event_x(0xffffffff80ae1510, 0xfffff80122985c00, 2, 0)
g_dev_callback(0xfffff80122730300(gpt/DOMBoot))
g_post_event_x(0xffffffff80ae1510, 0xfffff80122730300, 2, 0)
g_orphan_register(ufs/DOMUPDATE)
g_dev_callback(0xfffff80122ab8500(gpt/NVRAM))

g_post_event_x(0xffffffff80ae1510, 0xfffff80122ab8500, 2, 0)g_dev_orphan(0xfffff80025811b80(ufs/DOMUPDATE))
g_dev_callback(0xfffff80025140400(label/NVRAM))
g_orphan_register(ufsid/5c137f135e2a00d9)
g_dev_orphan(0xfffff80122986f00(ufsid/5c137f135e2a00d9))
g_post_event_x(0xffffffff80ae1510, 0xfffff80025140400, 2, 0)
g_dev_callback(0xfffff80025811b80(ufs/DOMUPDATE))
g_orphan_register(gpt/DOMUPDATE)
g_post_event_x(0xffffffff80ae1510, 0xfffff80025811b80, 2, 0)

g_dev_callback(0xfffff80122986f00(ufsid/5c137f135e2a00d9))
g_post_event_x(0xffffffff80ae1510, 0xfffff80122986f00, 2, 0)error = 6

g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]error = 6
g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]error = 6
g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]error = 6
g_dev_orphan(0xfffff80122986c80(gpt/DOMUPDATE))
g_orphan_register(ada1p5.eli)g_dev_callback(0xfffff80122986c80(gpt/DOMUPDATE))
g_vfs_done():
g_post_event_x(0xffffffff80ae1510, 0xfffff80122986c80, 2, 0)ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
error = 6
g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]error = 6
g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]error = 6
g_vfs_done():ada1p5.eli[READ(offset=2232576792112496640, length=32768)]g_vfs_orphan(0xfffff80122abb880(ffs.ada1p5.eli))error = 6

g_dev_orphan(0xfffff80117348680(ada1p5.eli))g_vfs_done():
g_orphan_register(ada1p6.eli)g_dev_callback(0xfffff80117348680(ada1p5.eli))
g_vfs_orphan(0xfffff80122ab8600(ffs.ada1p6.eli))
g_post_event_x(0xffffffff82de7860, 0xfffff80122c9f500, 2, 0)ada1p5.eli[READ(offset=2232576792112496640, length=32768)]
g_detach(0xfffff80122ab8600)
g_dev_orphan(0xfffff80122986000(ada1p6.eli))
g_dev_destroy(0xfffff8002876f780(ada1))error = 6
g_post_event_x(0xffffffff80aeb230, 0xfffff80122abb880, 2, 0)
g_detach(0xfffff8002876f780)

g_post_event_x(0xffffffff80ae1510, 0xfffff80117348680, 2, 0)
g_dev_callback(0xfffff80122986000(ada1p6.eli))
g_post_event_x(0xffffffff80ae1510, 0xfffff80122986000, 2, 0)
g_destroy_consumer(0xfffff8002876f780)

g_destroy_geom(0xfffff80122cac600(ada1))
g_dev_destroy(0xfffff801177f8c80(ada1p1))
g_detach(0xfffff801177f8c80)
g_destroy_consumer(0xfffff801177f8c80)
g_destroy_geom(0xfffff80117ae1c00(ada1p1))
g_dev_destroy(0xfffff801177f8c00(ada1p2))
g_detach(0xfffff801177f8c00)
g_destroy_consumer(0xfffff801177f8c00)
g_destroy_geom(0xfffff8012290a500(ada1p2))
g_dev_destroy(0xfffff80122cdb880(ada1p3))
g_detach(0xfffff80122cdb880)
g_destroy_consumer(0xfffff80122cdb880)
g_destroy_geom(0xfffff801229c8500(ada1p3))
g_dev_destroy(0xfffff80122734600(ada1p4))
g_detach(0xfffff80122734600)
g_destroy_consumer(0xfffff80122734600)
g_destroy_geom(0xfffff80033f67600(ada1p4))
g_dev_destroy(0xfffff8002507d200(ada1p5))
g_detach(0xfffff8002507d200)
g_destroy_consumer(0xfffff8002507d200)
g_destroy_geom(0xfffff80117547000(ada1p5))
g_dev_destroy(0xfffff8002507d380(ada1p6))
g_detach(0xfffff8002507d380)
g_destroy_consumer(0xfffff8002507d380)
g_destroy_geom(0xfffff80122a6c700(ada1p6))
g_dev_destroy(0xfffff80122735000(gpt/bloader))
g_detach(0xfffff80122735000)
g_destroy_consumer(0xfffff80122735000)
g_destroy_geom(0xfffff801174fb400(gpt/bloader))
g_dev_destroy(0xfffff8002507d000(ufs/DOMBoot))
g_detach(0xfffff8002507d000)
g_destroy_consumer(0xfffff8002507d000)
g_destroy_geom(0xfffff80122d3a000(ufs/DOMBoot))
g_dev_destroy(0xfffff80122985c00(ufsid/5c137f0f2b744507))
g_detach(0xfffff80122985c00)
g_destroy_consumer(0xfffff80122985c00)
g_destroy_geom(0xfffff80122cadc00(ufsid/5c137f0f2b744507))
g_dev_destroy(0xfffff80122730300(gpt/DOMBoot))
g_detach(0xfffff80122730300)
g_destroy_consumer(0xfffff80122730300)
g_destroy_geom(0xfffff801174fcb00(gpt/DOMBoot))
g_dev_destroy(0xfffff80122ab8500(gpt/NVRAM))
g_detach(0xfffff80122ab8500)
g_destroy_consumer(0xfffff80122ab8500)
g_destroy_geom(0xfffff80025136800(gpt/NVRAM))
g_dev_destroy(0xfffff80025140400(label/NVRAM))
g_detach(0xfffff80025140400)
g_destroy_consumer(0xfffff80025140400)
g_destroy_geom(0xfffff80033f96500(label/NVRAM))
g_dev_destroy(0xfffff80025811b80(ufs/DOMUPDATE))
g_detach(0xfffff80025811b80)
g_destroy_consumer(0xfffff80025811b80)
g_destroy_geom(0xfffff80122cb7700(ufs/DOMUPDATE))
g_dev_destroy(0xfffff80122986f00(ufsid/5c137f135e2a00d9))
g_detach(0xfffff80122986f00)
g_destroy_consumer(0xfffff80122986f00)
g_destroy_geom(0xfffff80122a59000(ufsid/5c137f135e2a00d9))
g_dev_destroy(0xfffff80122986c80(gpt/DOMUPDATE))
g_detach(0xfffff80122986c80)
g_destroy_consumer(0xfffff80122986c80)
g_destroy_geom(0xfffff80122cb7d00(gpt/DOMUPDATE))


After ejecting the disk, geom does not react.
Comment 5 larafercue@gmail.com 2019-10-01 15:52:17 UTC
It happened to be an "unclean" partition.